Package com.avaya.clientservices.provider.sip

## Class SIPAgentConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.sip.SIPAgentConfiguration

-     public class SIPAgentConfiguration
      extends java.lang.Object

  User Configuration information for SIP Agent Feature provider. This class provides the configuration data that allows a connection and access to SIP contact center agent features.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SIPAgentConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` |
    `boolean` | `isEnabled()` |
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the ICredentialProvider value representing the object that provides the credentials.
    `void` | `setEnabled​(boolean enabled)` | Set the Boolean value indicating whether the SIP Agent Feature provider is enabled.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SIPAgentConfiguration

          public SIPAgentConfiguration()

  - ### Method Detail

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      Returns:
        A CredentialProvider instance representing the object that provides the credentials.

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the ICredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - the credential provider

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        A Boolean value indicating whether the SIP Agent Feature provider is enabled.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the Boolean value indicating whether the SIP Agent Feature provider is enabled.
      Parameters:
        `enabled` - true if SIP Agent Feature should be enabled